%define oname   mutter

Name:       ruby-%{oname}
Version:    0.5.3
Release:    %mkrel 5
Summary:    The tiny CLI library
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/cloudhead/mutter
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     mutter-0.5.3-rspec2.patch
BuildRequires: rubygems
BuildArch: noarch

%description
the tiny command-line interface library with lots of style

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.5.3-5.mga3
+ Revision: 396189
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-4.mga3
+ Revision: 381127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.5.3-3.mga3
+ Revision: 313486
- revert noarch package

* Sat Nov 03 2012 fwang <fwang> 0.5.3-2.mga3
+ Revision: 313394
- rebuild for new ruby

* Sat Feb 12 2011 shikamaru <shikamaru> 0.5.3-1.mga1
+ Revision: 51035
- imported package ruby-mutter

